gcc \
    -O2 -march=native -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer \
    -DUSE_SIMD=SIMD_SSE2 \
    -I . \
    -o peck_test_x86 \
    peck_fftr.c peck_fft.c \
    peck_test.c \
    -lm 

/opt/arm-2011.03/bin/arm-none-linux-gnueabi-gcc \
	-O3 -mcpu=cortex-a8 -mfpu=neon -mfloat-abi=softfp -ffast-math -fomit-frame-pointer \
    -DUSE_SIMD=SIMD_NEON \
    -I . \
    -o peck_test_neon \
    peck_fftr.c peck_fft.c \
    peck_test.c \
    -lm 

/opt/arm-2011.03/bin/arm-none-linux-gnueabi-gcc \
	-O3 -mcpu=cortex-a8 -mfpu=neon -mfloat-abi=softfp -ffast-math -fomit-frame-pointer \
    -DUSE_SIMD=SIMD_NEON2 \
    -I . \
    -o peck_test_neon2 \
    peck_fftr.c peck_fft.c \
    peck_test.c \
    -lm 

/opt/arm-2011.03/bin/arm-none-linux-gnueabi-gcc \
	-O3 -mcpu=cortex-a8 -mfpu=neon -mfloat-abi=softfp -ffast-math -fomit-frame-pointer \
    -DUSE_SIMD=SIMD_NEON4 \
    -I . \
    -o peck_test_neon4 \
    peck_fftr.c peck_fft.c \
    peck_test.c \
    -lm 

